Commit 26d01257 authored by Nikos Skalkotos's avatar Nikos Skalkotos
Browse files

Merge branch 'master' into debian-wheezy

parents 2a85f5fb 3a4b6bbb
2013-09-23, v0.10.1
* Merge the ChangeLog files of snf-image and snf-image-helper
* Add version check in snf-image-update-helper
* Remove HELPER_URL from common.in
2013-09-19, v0.10
* Move the snf-image-helper image from squeeze to wheezy
* Add documentations under /docs
......@@ -17,6 +22,7 @@
2013-04-23, v0.9
* Add support for FreeBSD images
* HELPER: Fix a few bugs in the helper monitoring system
2013-03-12, v0.8.1
* Fix a bug in helper-monitor.py
......@@ -29,9 +35,14 @@
* Increase the default HELPER_SIZE and TIMEOUT values
* Cleanup the code and remove settings no longer used
* Rename snf-image-host to snf-image
* HELPER: Add support for xen
* HELPER: Cleanup the helper code
2013-01-21, v0.7.6
* Make the size of the helper VM image configurable
* HELPER: Mount /proc and /dev before chrooting
* HELPER: Fix a bug in DeleteSSHKeys task where the code for checking for
non-default keys was never called.
2013-01-17, v0.7.5
* Cleanup defaults file and remove redundant variables
......@@ -39,15 +50,27 @@
passed with ./configure
2013-01-08, v0.7.4
* HELPER: Fix a bug in the code that determines which partition to resize
* HELPER: On linux images, mount all local partition during deployment. Not
just /.
2013-01-04, v0.7.3
* Fix multistrap.conf to work with apt2.dev.grnet.gr
2013-01-04, v0.7.2
* Change snf-image-helper repository to apt2.dev.grnet.gr
* HELPER: In windows images make sure the file C:\Window\panther\Unattend.xml
gets removed after sysprep runs
* HELPER: Support extended partitions with id 0x0f
* HELPER: Fix a bug in the error monitoring system
* HELPER: Fix a bug in AssignHostname for archlinux images
* HELPER: In AssignHostname check for the presence of /etc/hostname before
trying to determine the disto of a Linux image.
2012-12-07, v0.7.1
* Make pithcat work with pithosmap URLs
* HELPER: Fix a race condition where in some cases could lead to a kernel
panic for the helper VM.
2012-12-03, v0.7
* Abandon debootstrap in favor of multistrap. This way we can define
......@@ -61,8 +84,16 @@
local file system using the -p variable.
* Specify snf-image-helper as the init process when running the helper
VM
* HELPER: Make snf-image-helper the init process of the system
* HELPER: Shutdown the helper image fast using the apropriate SysRq key
* HELPER: Use eatmydata to omit the syncs performed by resize2fs when
resizing a file system. You can supress this behaviour by defining
the DO_SYNC image property.
2012-11-20, v0.6.5
* HELPER: Fix a bug in AssignHostname configuration task where the script did
not search for the presence of the Unattend.xml file in the VM, in
a case-insensitive way
2012-11-15, v0.6.4
* Fix a bug in snf-image-update-helper introduced in v0.6.3
......@@ -70,11 +101,18 @@
2012-11-13, v0.6.3
* Fix a bug in snf-image-update-helper where the temporary image file
was not removed if an error occured.
* HELPER: Don't overwrite C:\Unattend.xml file in windows images, unless the
image property USE_DEFAULT_UNATTEND is defined.
* HELPER: Fix a bug in the error monitoring system
* HELPER: Correct some error messages
2012-10-12, v0.6.2
* Seperate the error messages that should be logged by the system from
those that should be propagated to the user through the monitoring
mechanism. Don't allow internal configuration options get revieled to
* HELPER: Remove the rule of updating the password for user `user' in Fedora
and Ubuntu when the USERS image property is missing.
* HELPER: Check if a user exists before updating its password.
the user.
2012-10-05, v0.6.1
......@@ -89,6 +127,9 @@
* Fix import and export scripts
* Add new config_url os parameter. This can be used by snf-image to
download a json file that contains the value for other os parameters
* HELPER: Make sure EnforcePersonality is the last task that runs before
UmountImage. Doing this ensures that user-enjected files never
get overwritten by any other configuration task.
2012-08-31, v0.5
* Add a new progress monitoring mechanism. With this new mechanism,
......@@ -99,10 +140,15 @@
* Add support for null image backend type. This backend type can be
used if we want snf-image to configure the VM disk without first
copying an image to it.
* HELPER: Add a new progress monitoring mechanish
* HELPER: Add support for arch linux
2012-06-29, v0.4.2
* HELPER: Make the name of image properties case-insensitive
2012-05-28, v0.4.1
* HELPER: Fix a bug in FixPartitionTable where in some cases the script
failed to create the logical swap partition.
2012-05-17, v0.4
* Remove progress-monitor-support flag. An external progress monitor
......@@ -115,6 +161,10 @@
performed. If a cache file is found, snf-update-helper will use this
list to determine if it is OK to use this cache file or not.
* Add mechanism for overwritting the helper's Unattend.xml file
* HELPER: Add support for creating SWAP partitions
* HELPER: Add support for GPT partition tables
* HELPER: Add support for resizing logical partitions
* HELPER: Add mechanism for overwritting Unattend.xml
2012-03-29, v0.3.6
* Make snf-image-update-helper ask whether to use the found deboostrap
......@@ -123,29 +173,43 @@
option is used and it's value does not point to a cache file.
2012-03-26, v0.3.5
* HELPER: Force Automatic Update in Windows images
2012-03-05, v0.3.4
* HELPER: Fix 2 bugs in Delete SSH Keys task, caused by the use of pipefail
bash option
2012-02-29, v0.3.3
* Fix a bug in pithcat where the restored image had incorrect
size. The trailing zeros in the image files where not restored.
* HELPER: Check if the images partition table is valid
2012-02-06, v0.3.2
* Make pithcat work with pithos v0.8.3
2012-01-26, v0.3.1
* HELPER: Fix a bug in the OS detection code
2011-01-12, v0.3
* Put all helpers run-time created files in a tmpfs jail
* Remove the ARCH field from the image name
* Support remote (network accessable) and pithos hosted images
* Remove custom images format (remote images is a supergroup)
* HELPER: Warn and in some cases fail if the instance is of an unknown
* HELPER: Force a resize when the filesystem is clean, even if resize2fs
complains
* HELPER: Make sure OSFAMILY image property is specified
2011-11-18, v0.2
* Support diskdump format
* Support custom images format. Custom images are diskdump images
that can be accessed from a URL
* Add a new OS parameter (img_properties)
* HELPER: Add support for Image Properties
* HELPER: Add new FixPartitionTable task
* HELPER: Add new task that disables RDP connections during windows setup
* HELPER: Extend image personalization to support custom ownership and
permissions in the injected files
2011-10-20, v0.1.2
* Fix a debootstrap bug in snf-image-update-helper
......@@ -156,6 +220,8 @@
2011-10-17, v0.1.1
* Replace $(var) with ${var} in defaults file.
* Fix a dangerous-use-of-xargs bug in create.
* HELPER: Fix a bug in ChangePassword task
* HELPER: Add timestamps in output of the tasks
2011-10-04, v0.1
* Initial release
......@@ -45,9 +45,9 @@ copyright = u'2011, 2012, 2013 GRNET S.A. All rights reserved'
# built documents.
#
# The short X.Y version.
version = '0.10'
version = '0.10.1'
# The full version, including alpha/beta/rc tags.
release = '0.10'
release = '0.10.1'
# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
......
2013-09-19, v0.10
* Add documentation under /docs
2013-09-02, v0.9.3
2013-08-27, v0.9.2
* Use devflow building system
2013-05-16, v0.9.1
2013-04-12, v0.9
* Add Support for FreeBSD images
* Fix a few bugs in the helper monitoring system
2013-03-12, v0.8.1
* Update contact email address
2013-03-09, v0.8
* Add support for xen
* Cleanup the helper code
2013-01-21, v0.7.6
* Mount /proc and /dev before chrooting
* Fix a bug in DeleteSSHKeys task where the code for checking for
non-default keys was never called.
2013-01-17, v0.7.5
2013-01-08, v0.7.4
* Fix a bug in the code that determines which partition to resize
* On linux images, mount all local partition during deployment. Not
just /.
2013-01-04, v0.7.3
2013-01-04, v0.7.2
* In windows images make sure the file C:\Window\panther\Unattend.xml
gets removed after sysprep runs
* Support extended partitions with id 0x0f
* Fix a bug in the error monitoring system
* Fix a bug in AssignHostname for archlinux images
* In AssignHostname check for the presence of /etc/hostname before
trying to determine the disto of a Linux image.
2012-12-07, v0.7.1
* Fix a race condition where in some cases could lead to a kernel
panic for the helper VM.
2012-12-03, v0.7
* Make snf-image-helper the init process of the system
* Shutdown the helper image fast using the apropriate SysRq key
* Use eatmydata to omit the syncs performed by resize2fs when
resizing a file system. You can supress this behaviour by defining
the DO_SYNC image property.
2012-11-20, v0.6.5
* Fix a bug in AssignHostname configuration task where the script did
not search for the presence of the Unattend.xml file in the VM, in
a case-insensitive way
2012-11-15, v0.6.4
2012-11-13, v0.6.3
* Don't overwrite C:\Unattend.xml file in windows images, unless the
image property USE_DEFAULT_UNATTEND is defined.
* Fix a bug in the error monitoring system
* Correct some error messages
2012-10-12, v0.6.2
* Remove the rule of updating the password for user `user' in Fedora
and Ubuntu when the USERS image property is missing.
* Check if a user exists before updating its password.
2012-10-05, v0.6.1
* Supress a very noisy warning in 40DisableRemoteDesktopConnections
task created by reglookup. This is triggered only when reading
registry files from windows 2012 systems.
* User Coordinated Universal Time when logging.
2012-09-14, v0.6
* Make sure EnforcePersonality is the last task that runs before
UmountImage. Doing this ensures that user-enjected files never
get overwritten by any other configuration task.
2012-08-31, v0.5
* Add a new progress monitoring mechanish
* Add support for arch linux
2012-06-29, v0.4.2
* Make the name of image properties case-insensitive
2012-05-28, v0.4.1
* Fix a bug in FixPartitionTable where in some cases the script
failed to create the logical swap partition.
2012-05-17, v0.4
* Add support for creating SWAP partitions
* Add support for GPT partition tables
* Add support for resizing logical partitions
* Add mechanism for overwritting Unattend.xml
2012-03-29, v0.3.6
2012-03-26, v0.3.5
* Force Automatic Update in Windows images
2012-03-05, v0.3.4
* Fix 2 bugs in Delete SSH Keys task, caused by the use of pipefail
bash option
2012-02-29, v0.3.3
* Check if the images partition table is valid
2012-02-06, v0.3.2
2012-01-26, v0.3.1
* Fix a bug in the OS detection code
2012-01-12, v0.3
* Warn and in some cases fail if the instance is of an unknown
* Force a resize when the filesystem is clean, even if resize2fs
complains
* Make sure OSFAMILY image property is specified
2011-11-18, v0.2
* Add support for Image Properties
* Add new FixPartitionTable task
* Add new task that disables RDP connections during windows setup
* Extend image personalization to support custom ownership and
permissions in the injected files
2011-10-20, v0.1.2
2011-10-17, v0.1.1
* Fix a bug in ChangePassword task
* Add timestamps in output of the tasks
2011-10-04, v0.1
* Initial release
......@@ -5,7 +5,7 @@ export commondir scriptsdir tasksdir
SUBDIRS = tasks
dist_doc_DATA = COPYING AUTHORS ChangeLog
dist_doc_DATA = COPYING AUTHORS
dist_bin_SCRIPTS = snf-image-helper
dist_scripts_SCRIPTS= snf-passtohash.py inject-files.py decode-properties.py
dist_common_DATA = common.sh unattend.xml
......
......@@ -28,6 +28,7 @@ edit = sed \
-e 's|@osdir[@]|$(osdir)|g' \
-e 's|@osname[@]|$(osname)|g' \
-e 's|@defaultdir[@]|$(defaultdir)|g' \
-e 's|@VERSION[@]|$(VERSION)|g' \
-e 's|@VERSION_CHECK[@]|$(VERSION_CHECK)|g' \
-e 's|@HELPER_DIR[@]|$(HELPER_DIR)|g' \
-e 's|@HELPER_URL[@]|$(HELPER_URL)|g' \
......
......@@ -16,6 +16,8 @@
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
SNF_IMAGE_VERSION="@VERSION@"
AWK="awk"
LOSETUP="losetup"
KPARTX="kpartx"
......@@ -418,7 +420,6 @@ fi
: ${IMAGE_DEBUG:="no"}
: ${VERSION_CHECK:="@VERSION_CHECK@"}
: ${HELPER_DIR:="@HELPER_DIR@"}
: ${HELPER_URL:="@HELPER_URL@"}
: ${HELPER_SIZE:="600"}
: ${HELPER_SOFT_TIMEOUT:=120}
: ${HELPER_HARD_TIMEOUT:=5}
......
......@@ -38,9 +38,6 @@
# HELPER_USER imeddiately before starting execution of the helper VM.
# HELPER_USER="nobody"
# HELPER_URL: URL to use to download the snf-image-helper image
# HELPER_URL="@HELPER_URL@"
# MULTISTRAP_CONFIG: Configuration file to be used with multistrap to create
# the rootfs of the helper image.
# MULTISTRAP_CONFIG="@MULTISTRAP_CONFIG@"
......
......@@ -215,6 +215,8 @@ fi
mv "$helper_img" "$HELPER_DIR/image"
echo "$SNF_IMAGE_VERSION" > "$HELPER_DIR/version"
echo "Files in \`$HELPER_DIR' were updated successfully" >&2
exit 0
......
......@@ -22,6 +22,14 @@ set -o errtrace
. @osdir@/common.sh
DEFAULT_FILE="@sysconfdir@/default/snf-image-update-helper"
if [ -f "$DEFAULT_FILE" ]; then
. "$DEFAULT_FILE"
fi
: ${HELPER_URL:="@HELPER_URL@"}
usage() {
local rc="$1"
......@@ -40,12 +48,14 @@ OPTIONS:
-y Assume Yes to all queries and do not prompt
-f Force the installation even if the snf-image and helper versions don't match
EOF
exit "$rc"
}
while getopts "hu:y" opt; do
while getopts "hu:yf" opt; do
case $opt in
h) usage 0
;;
......@@ -53,6 +63,8 @@ while getopts "hu:y" opt; do
;;
y) NO_PROMPT="yes"
;;
f) FORCE="yes"
;;
?) log_error "User \`-h' for help"; exit 1
;;
esac
......@@ -60,12 +72,14 @@ done
cat >&1 <<EOF
$(basename $0) will download a suitable snf-image-helper image and will install
it under $IMAGE_DIR. The following files will be overwritten if present:
$(basename $0) will download a snf-image-helper image from:
\`$HELPER_URL' and will install it under $IMAGE_DIR.
The following files will be overwritten if present:
\`$HELPER_DIR/initrd'
\`$HELPER_DIR/kernel'
\`$HELPER_DIR/image'
\`$HELPER_DIR/packages'
\`$HELPER_DIR/version'
EOF
while [[ 1 ]]; do
......@@ -100,6 +114,22 @@ echo >&2
echo "Extracting helper image under \`$HELPER_DIR':" >&2
tar -xvf "$IMAGE_DIR/$IMAGE"
if [ "x$FORCE" != "xyes" ]; then
echo >&2
echo "Checking helper image version ..." >&2
if [ ! -f "$HELPER_DIR/version" ]; then
log_error "File: \`$HELPER_DIR/version' is missing!"
exit 1
fi
helper_version="$(cat $HELPER_DIR/version)"
if [ "x$SNF_IMAGE_VERSION" != "x$helper_version" ]; then
log_error "snf-image version (=$SNF_IMAGE_VERSION) and " \
"helper image version (=$helper_version) don't match!"
log_error "Use \`-f' to bypass the version check."
exit 1
fi
fi
echo >&2
echo "Helper image was installed successfully!" >&2
exit 0
......
m4_define([devflow_version], [0.10])
m4_define([devflow_version], [0.10.1])
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment